%define name slim-themes
%define version 1.0
%define release %mkrel 2

Summary:	Simple Login Manager Themes
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	slim-archlinux-simple.tar.gz
Source1:	slim-flat.tar.gz
Source2:	slim-lunar-0.4.tar.bz2
Source3:	slim-rainbow.tar.gz
Source4:	slim-wave.tar.gz
Source5:	slim-capernoited.tar.gz
Source6:	slim-flower2.tar.gz
Source7:	slim-mindlock.tar.gz
Source8:	slim-rear-window.tar.gz
Source9:	slim-zenwalk.tar.gz
Source10:	slim-debian-moreblue.tar.bz2
Source11:	slim-gentoo-simple.tar.bz2
Source12:	slim-parallel-dimensions.tar.gz
Source13:	slim-scotland-road.tar.gz
Source14:	slim-fingerprint.tar.gz
Source15:	slim-lake.tar.gz
Source16:	slim-previous.tar.gz
Source17:	slim-subway.tar.gz
Source18:	slim-theme-larryatwork.tgz
License:	none
Group:		System/Configuration/Theme
URL:		http://slim.berlios.de/themes01.php
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch

Requires:	slim

%description
This package contains several themes for SLiM,
the Simple Login Manager. Themes included are:

-archlinux-simple
-flat
-lunar-0.4
-rainbow
-wave
-capernoited
-flower2
-mindlock
-rear-window
-zenwalk
-debian-moreblue
-gentoo-simple
-parallel-dimensions
-scotland-road
-fingerprint
-lake
-previous
-subway
-Larry (the Gentoo cow) at work

Edit /etc/slim.conf to change the theme. Or you can run
this command to preview what a theme looks like:

slim -p /usr/share/slim/themes/Zenwalk

%prep
%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_datadir}/slim/themes/
tar -xvz -C %{buildroot}%{_datadir}/slim/themes/ -f %{SOURCE0};
tar -xvz -C %{buildroot}%{_datadir}/slim/themes/ -f %{SOURCE1};
tar -xvj -C %{buildroot}%{_datadir}/slim/themes/ -f %{SOURCE2};
tar -xvz -C %{buildroot}%{_datadir}/slim/themes/ -f %{SOURCE3};
tar -xvz -C %{buildroot}%{_datadir}/slim/themes/ -f %{SOURCE4};
tar -xvz -C %{buildroot}%{_datadir}/slim/themes/ -f %{SOURCE5};
tar -xvz -C %{buildroot}%{_datadir}/slim/themes/ -f %{SOURCE6};
tar -xvz -C %{buildroot}%{_datadir}/slim/themes/ -f %{SOURCE7};
tar -xvz -C %{buildroot}%{_datadir}/slim/themes/ -f %{SOURCE8};
tar -xvz -C %{buildroot}%{_datadir}/slim/themes/ -f %{SOURCE9};
tar -xvj -C %{buildroot}%{_datadir}/slim/themes/ -f %{SOURCE10};
tar -xvj -C %{buildroot}%{_datadir}/slim/themes/ -f %{SOURCE11};
tar -xvz -C %{buildroot}%{_datadir}/slim/themes/ -f %{SOURCE12};
tar -xvz -C %{buildroot}%{_datadir}/slim/themes/ -f %{SOURCE13};
tar -xvz -C %{buildroot}%{_datadir}/slim/themes/ -f %{SOURCE14};
tar -xvz -C %{buildroot}%{_datadir}/slim/themes/ -f %{SOURCE15};
tar -xvz -C %{buildroot}%{_datadir}/slim/themes/ -f %{SOURCE16};
tar -xvz -C %{buildroot}%{_datadir}/slim/themes/ -f %{SOURCE17};
tar -xvz -C %{buildroot}%{_datadir}/slim/themes/ -f %{SOURCE18}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/slim/themes/*

%changelog
* Fri Nov 07 2008 KDulcimer <kdulcimer@gmail.com> 1.0-2tinyme2008
- Added Larry at work

* Tue Nov 04 2008 KDulcimer <kdulcimer@gmail.com> 1.0-1tinyme2008
- First release
